Subject: Re: [PATCH] convert sbmac tx to spin_lock_irqsave to prevent early IRQ enable

From: Ralf Baechle <[email-masked]>
Date: Fri, 26 Sep 2008 00:49:10 +0100

On Thu, Sep 25, 2008 at 03:33:40PM -0400, Jeff Garzik wrote:

>>> On Wed, Sep 17, 2008 at 10:25:37AM +0800, Weiwei Wang wrote:
>>>> Netpoll will call the interrupt handler with interrupts
>>>> disabled when using kgdboe, so spin_lock_irqsave() should
>>>> be used instead of spin_lock_irq() to prevent interrupts
>>>> from being incorrectly enabled.
>>>>
>>>> Signed-off-by: Weiwei Wang <[email-masked]>
>>>> ---
>>>>  drivers/net/sb1250-mac.c |   12 +++++++-----
>>>>  1 files changed, 7 insertions(+), 5 deletions(-)
>>> Please send to [email-masked] or [email-masked].
>>
>> Jeff - I haven't looked at kgdboe but if he's right half of drivers/net
>> will need to be fixed ...
>
> Oh indeed.  I mainly do it on a case-by-case basis where people care.  I  
> overall think its a bogus change that deserves pushback, but that  
> involves non-networking layers.  In the end, case-by-case application  
> seemed to win.

Turns out kgdboe isn't upstream yet - but netconsole apparently hast the
same issue.

  Ralf